import {IsNotEmpty} from "class-validator";

export class CreateShippingMethodCMSDto {
    @IsNotEmpty()
    fedexImage: string;

    @IsNotEmpty()
    readonly fedexDisplayName: string;

    @IsNotEmpty()
    upsImage: string;

    @IsNotEmpty()
    readonly upsDisplayName: string;

    @IsNotEmpty()
    localImage: string;

    @IsNotEmpty()
    readonly localDisplayName: string;
}