import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("contact_us_page_cms")
export class ContactUsPageCmsEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    address: string;

    @Column({default: null, nullable: true})
    phone: string;

    @Column({default: null, nullable: true})
    email: string;

    @Column({default: null, nullable: true})
    pageTitle: string;

    @Column({default: null, nullable: true})
    formTitle: string;

    @Column({default: null, nullable: true})
    formSubTitle: string;

    @Column({default: null, nullable: true})
    formButtonText: string;

    @Column({default: null, nullable: true})
    weekDayOpenTime: string;
    
    @Column({default: null, nullable: true})
    weekDayCloseTime: string;

    @Column({default: null, nullable: true})
    weekendOpenTime: string;

    @Column({default: null, nullable: true})
    weekendCloseTime: string;

    @Column({default: null, nullable: true})
    socialMediaTitle: string;
}
