import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("product_category")
export class ProductCategory extends CoreEntity {
    @Column()
    image: string;

    @Column()
    name: string;

    @Column({ default: null, nullable: true })
    urlSlug: string;

    @Column({ default: 0 })
    isTrending: number;
}
