import { IsEmpty } from "class-validator";

export class CreateProductStockImportDto {
    
    @IsEmpty()
    StockID: string;

    @IsEmpty()
    Pid: string;

    @IsEmpty()
    Name: string;

    @IsEmpty()
    Price: string;

    @IsEmpty()
    CurrentStock: string;

    @IsEmpty()
    NewStock: string;

    @IsEmpty()
    NewTotalStock: string;

    @IsEmpty()
    QuantityReorder: number

    @IsEmpty()
    Sku: string;

    @IsEmpty()
    Stock: string;

    @IsEmpty()
    Weight: string;

    @IsEmpty()
    Size: string;

    @IsEmpty()
    Color: string;
}
    