import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('sales_tax')
export class SalesTax extends CoreEntity {
    @Column()
    stateName: string;

    @Column({type: "decimal", precision: 10, scale: 2, default: 0, nullable: true})
    taxAmount: number;

    @Column()
    taxTitle: string;
}
