import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {UpsConfigurationRepository} from 'src/modules/ups-configuration/ups-configuration.repository';
import {UpsCoreController} from './ups-core.controller';
import {UpsCoreService} from './ups-core.service';

@Module({
    imports: [
        TypeOrmModule.forFeature([UpsConfigurationRepository])
    ],
    controllers: [UpsCoreController],
    providers: [UpsCoreService]
})
export class UpsCoreModule {
}
