import {IsNotEmpty, IsOptional} from "class-validator";

export class BaseAboutUsPageCmsDto {
    @IsNotEmpty()
    pageTitle: string;

    @IsNotEmpty()
    sectionTitle: string;

    @IsNotEmpty()
    sectionSubTitle: string;

    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    achievementTitleOne: string;

    @IsNotEmpty()
    achievementNumberOne: string;

    @IsNotEmpty()
    achievementTitleTwo: string;

    @IsNotEmpty()
    achievementNumberTwo: string;

    @IsNotEmpty()
    achievementTitleThree: string;

    @IsNotEmpty()
    achievementNumberThree: string;

    @IsNotEmpty()
    achievementTitleFour: string;

    @IsNotEmpty()
    achievementNumberFour: string;

    @IsNotEmpty()
    valueSectionTitle: string;

    @IsOptional()
    valueSectionSubTitle: string;

    @IsOptional()
    faqSectionTitle: string;

    @IsOptional()
    faqSectionSubTitle: string;
}