import {IsEmpty, IsNotEmpty} from "class-validator";

export class BaseHeaderCmsDto {
    @IsNotEmpty()
    readonly helpLineText: string;

    @IsNotEmpty()
    readonly helpLineNumber: string;

    @IsNotEmpty()
    readonly searchPlaceholder: string;

    @IsNotEmpty()
    logo: string;

    @IsEmpty()
    buttonText: string;

    @IsEmpty()
    buttonLink: string;

    @IsNotEmpty()
    titleOne: string;

    @IsNotEmpty()
    titleTwo: string;

    @IsNotEmpty()
    titleOneLink: string;

    @IsNotEmpty()
    titleTwoLink: string;

    @IsNotEmpty()
    store: string;

    @IsNotEmpty()
    storeLink: string;

    @IsNotEmpty()
    storeTitle: string;

    @IsNotEmpty()
    contactEmail: string;

    @IsNotEmpty()
    contactEmailTitle: string;
}