import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("latest_collection_section")
export class LatestCollectionSectionEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    promotionalTitle: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    title: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;

    @Column({ default: null, nullable: true })
    image: string;
}
