import {Module} from '@nestjs/common';
import {MailSenderService} from './mail-sender.service';
import {MailSenderController} from './mail-sender.controller';
import {TypeOrmModule} from '@nestjs/typeorm';
import {UsersRepository} from '../users/user.repository';

@Module({
    controllers: [MailSenderController],
    providers: [MailSenderService],
    imports: [
        TypeOrmModule.forFeature([UsersRepository]),
    ]
})
export class MailSenderModule {
}
