import {IsEmpty, IsNotEmpty} from "class-validator";

export class CreateCouponDto {
    @IsNotEmpty()
    readonly couponName: string;

    @IsNotEmpty()
    readonly couponType: string;

    @IsNotEmpty()
    readonly couponCode: string;

    @IsNotEmpty()
    readonly discount: string;

    @IsNotEmpty()
    readonly expireDate: Date;

    @IsEmpty()
    readonly cuponUsedTotal: Date;
}
    