import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('product_size_guide')
export class ProductSizeGuideEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    categoryId: string;

    @Column({ default: null, nullable: true })
    categoryName: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    guide: string;
}
