import {IsNotEmpty} from "class-validator";

export class CreateUserDto {
    @IsNotEmpty()
    firstName: string;

    @IsNotEmpty()
    lastName: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    password: string;

    @IsNotEmpty()
    phone: string;

    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    company: string;

    @IsNotEmpty()
    city: string;

    @IsNotEmpty()
    zipCode: string;

    @IsNotEmpty()
    country: string;

    @IsNotEmpty()
    userType: string;
}
