import {IsEmpty, IsNotEmpty} from "class-validator";

export class CreateBlogPostDto {
    @IsNotEmpty()
    photo: string;

    @IsNotEmpty()
    readonly title: string;

    @IsNotEmpty()
    authorImage: string;

    @IsNotEmpty()
    readonly authorName: string;

    @IsNotEmpty()
    readonly publishedAt: string;

    @IsNotEmpty()
    readonly blogDescription: string;

    @IsEmpty()
    urlSlug: string;

    @IsEmpty()
    totalViews: number;
}
