import {IsEmpty, IsNotEmpty, IsOptional} from "class-validator";

export class CreateProductCategoryDto {
    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    name: string;

    @IsEmpty()
    urlSlug: string;
    
    @IsOptional()
    isTrending: number;
}
