import {IsEmpty, IsNotEmpty} from "class-validator";

export class BaseUpsConfigurationDto {
    @IsEmpty()
    credentialType: string;

    @IsEmpty()
    accessLicenseNumber: string;

    @IsEmpty()
    url: string;

    @IsEmpty()
    userName: string;

    @IsEmpty()
    password: string;

    @IsNotEmpty()
    readonly addressLine: string;

    @IsNotEmpty()
    readonly shipperAccountName: string;

    @IsNotEmpty()
    readonly shipperAccountNumber: string;

    @IsNotEmpty()
    readonly city: string;

    @IsNotEmpty()
    readonly stateProvienceCode: string;

    @IsNotEmpty()
    readonly postalCode: string;

    @IsNotEmpty()
    readonly countryCode: string;

    @IsNotEmpty()
    readonly country: string;
}