import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateProductReviewDto {
  @IsNotEmpty()
  productId: string;

  @IsNotEmpty()
  productName: string;

  @IsNotEmpty()
  rating: number;

  @IsOptional()
  comment: string;

  @IsNotEmpty()
  userId: string;
}
    