import {IsNotEmpty} from "class-validator";

export class BaseContactUsPageCmsDto {
    @IsNotEmpty()
    address: string;

    @IsNotEmpty()
    phone: string;

    @IsNotEmpty()
    email: string; 

    @IsNotEmpty()
    pageTitle: string;

    @IsNotEmpty()
    formTitle: string;

    @IsNotEmpty()
    formSubTitle: string;

    @IsNotEmpty()
    latitude: string;

    @IsNotEmpty()
    longitude: string;

    @IsNotEmpty()
    formButtonText: string;

    @IsNotEmpty()
    weekDayOpenTime: string;
    
    @IsNotEmpty()
    weekDayCloseTime: string;

    @IsNotEmpty()
    weekendOpenTime: string;

    @IsNotEmpty()
    weekendCloseTime: string;

    @IsNotEmpty()
    socialMediaTitle: string;
}