import {Module} from '@nestjs/common';
import {ChangePasswordTokenService} from './change-password-token.service';
import {ChangePasswordTokenController} from './change-password-token.controller';
import {TypeOrmModule} from '@nestjs/typeorm';
import {ChangePasswordTokenRepository} from './change-password-token.repository';

@Module({
    imports: [TypeOrmModule.forFeature([ChangePasswordTokenRepository])],
    controllers: [ChangePasswordTokenController],
    providers: [ChangePasswordTokenService]
})
export class ChangePasswordTokenModule {
}
