import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, JoinColumn, ManyToOne } from "typeorm";

@Entity('product_image_gallery')
export class ProductImageGallery extends CoreEntity {
    @Column()
    productId: string;

    @Column()
    productName: string;

    @Column({default: 'default.png', nullable: true})
    image: string;
}
