import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('refund_item')
export class RefundItem extends CoreEntity {
    @Column()
    invoiceID: string;

    @Column({ default: 0, nullable:true })
    refundAmount: number;

    @Column({ default: false })
    isRefunded: boolean;

    @Column({ default: null })
    refundDate: Date;

    @Column({ default: null, nullable:true })
    refundProductID: string;
}
