import { HttpException, HttpStatus, Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { request } from 'http';
import { DirectPost } from 'src/helper/nmi-payment-gatway-helper';
import { Constants } from 'src/utils/constants';
import { ResponseUtils } from 'src/utils/response.utils';
import { PaymentConfigurationRepository } from '../payment-configuration/payment-configuration.repository';
import { CreateRefundItemDto } from './dto/create-refund-item.dto';
import { UpdateRefundItemDto } from './dto/update-refund-item.dto';
import { RefundItemRepository } from './refund-item.repository';

@Injectable()
export class RefundItemService {
  constructor(
    @InjectRepository(PaymentConfigurationRepository)
    private readonly paymentConfigurationRepository: PaymentConfigurationRepository,
    @InjectRepository(RefundItemRepository)
    private readonly RefundItemRepository: RefundItemRepository
  ) { }

  
}
