import {Body, Controller, HttpCode, HttpStatus, Post} from '@nestjs/common';
import {UpsShippingService} from './ups-shipping.service';
import {Constants} from 'src/utils/constants';

@Controller({
    path: "ups-shipping",
    version: Constants.API_VERSION_1
})
export class UpsShippingController {
    constructor(private readonly upsShippingService: UpsShippingService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    create(@Body() dto: any) {
        return this.upsShippingService.create(dto);
    }
}
