import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('header_cms')
export class HeaderCms extends CoreEntity {
    @Column()
    logo: string;

    @Column()
    helpLineText: string;

    @Column()
    helpLineNumber: string;

    @Column()
    searchPlaceholder: string;

    @Column()
    buttonText: string;

    @Column()
    buttonLink: string;

    @Column()
    titleOne: string;

    @Column()
    titleTwo: string;

    @Column()
    titleOneLink: string;

    @Column()
    titleTwoLink: string;

    @Column()
    store: string;

    @Column()
    storeLink: string;

    @Column()
    storeTitle: string;

    @Column()
    contactEmail: string;

    @Column()
    contactEmailTitle: string;
}
