import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("instagram_service")
export class InstagramServiceEntity extends CoreEntity {
  @Column({ default: null, nullable: true })
  media_type: string;

  @Column({ default: null, nullable: true })
  permalink: string;

  @Column({ default: null, nullable: true })
  media_url: string;

  @Column({ default: null, nullable: true })
  username: string;

  @Column({ default: null, nullable: true })
  caption: string;

  @Column({ default: null, nullable: true })
  timestamp: string;
}
