import {Module} from '@nestjs/common';
import {UpsShippingService} from './ups-shipping.service';
import {UpsShippingController} from './ups-shipping.controller';
import {TypeOrmModule} from '@nestjs/typeorm';
import {UpsConfigurationRepository} from 'src/modules/ups-configuration/ups-configuration.repository';

@Module({
    imports: [
        TypeOrmModule.forFeature([UpsConfigurationRepository])
    ],
    controllers: [UpsShippingController],
    providers: [UpsShippingService]
})
export class UpsShippingModule {
}
